## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common
Class TextFormEntry

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.common.TextFormEntry

    public class TextFormEntry

extends java.lang.Object

A text form entry used in form page

Author:
  Idull

Constructor Summary
`TextFormEntry(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.forms.widgets.FormToolkit toolkit, int textStyle, java.lang.String labelText, java.lang.String buttonText, int colSpan)`

Method Summary
`org.eclipse.swt.widgets.Button` `getButton()`
`org.eclipse.swt.widgets.Control` `getNameLabel()`
`org.eclipse.swt.widgets.Text` `getText()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextFormEntry

    public TextFormEntry(org.eclipse.swt.widgets.Composite parent,
                         org.eclipse.ui.forms.widgets.FormToolkit toolkit,
                         int textStyle,
                         java.lang.String labelText,
                         java.lang.String buttonText,
                         int colSpan)

Method Detail

### getButton

    public org.eclipse.swt.widgets.Button getButton()

### getNameLabel

    public org.eclipse.swt.widgets.Control getNameLabel()

### getText

    public org.eclipse.swt.widgets.Text getText()